Retrieve categories
curl --request GET \
--url https://api.spacebring.com/benefits/categories/v1 \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.spacebring.com/benefits/categories/v1"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.spacebring.com/benefits/categories/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"categories": [
{
"createDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"networkRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
]
}{
"message": "<string>",
"type": "<string>"
}Benefits
Retrieve categories
Retrieve all benefit categories in the location.
OAuth
Required scopes:benefits.readonly or benefitsGET
/
benefits
/
categories
/
v1
Retrieve categories
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Query Parameters
UUID of the location whose benefit categories to list.
Response
Success
List of benefit categories.
Show child attributes
Show child attributes
Was this page helpful?
⌘I